Create Document
Available by Request
Creates a document for a specific household
This endpoint is part of our evolving API ecosystem. To explore availability for your integration, please contact our team.
Authentication
x-api-keystring
API Key authentication via header
Path parameters
householdId
The id of the household
Request
This endpoint expects a multipart form containing a file.
file
The file to upload (max 5MB). Supported formats - image/jpeg, image/png, image/gif, application/pdf
idempotencyId
Unique identifier to ensure idempotent operations
createdById
The ID of the user who created the attachment
name
The name of the document. If not provided, the filename will be used
documentType
The type of document being uploaded
Allowed values:
Response
The created document
url
id
householdId
propertyId
name
type
mimeType
notes
isReviewed
Indicates if the document has been reviewed by compliance
readableId
idempotencyId
createdAt
updatedAt
deletedAt
organizationId
createdByUserId
household
property

